<?php

namespace Drupal\commerce_opp\Plugin\Commerce\PaymentGateway;

/**
 * Provides the Open Payment Platform COPYandPAY gateway for bank accounts.
 *
 * @CommercePaymentGateway(
 *   id = "opp_copyandpay_bank",
 *   label = "Open Payment Platform COPYandPAY (bank transfer)",
 *   display_label = "Bank transfer",
 *   forms = {
 *     "offsite-payment" = "Drupal\commerce_opp\PluginForm\CopyAndPayForm",
 *   },
 * )
 */
class CopyAndPayBankAccount extends CopyAndPayBase {

  /**
   * {@inheritdoc}
   */
  protected function getBrandOptions() {
    return $this->brandRepository->getBankAccountBrandLabels();
  }

}
